function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
import { $prefix, $props, $setup } from "@xmweb-ui/vue-common";
import MobileFirstTemplate from "./mobile-first.js";
var template = function template2(mode) {
  return MobileFirstTemplate;
};
var UserHeadGroup = {
  name: $prefix + "UserHeadGroup",
  componentName: "XmUserHeadGroup",
  props: _extends({}, $props, {
    groupSize: {
      type: Number,
      default: 40
    },
    list: {
      type: Array,
      default: function _default() {
        return [];
      }
    }
  }),
  setup: function setup(props, context) {
    return $setup({
      props,
      context,
      template
    });
  }
};
var version = "2.8.0";
UserHeadGroup.model = {
  prop: "modelValue",
  event: "update:modelValue"
};
UserHeadGroup.install = function(Vue) {
  Vue.component(UserHeadGroup.name, UserHeadGroup);
};
UserHeadGroup.version = version;
export {
  UserHeadGroup as default
};
