declare const _default: {
    name: string;
    componentName: string;
    props: {
        groupSize: {
            type: NumberConstructor;
            default: number;
        };
        list: {
            type: ArrayConstructor;
            default: () => never[];
        };
        xm_mode: StringConstructor;
        xm_mode_root: BooleanConstructor;
        xm_template: (ObjectConstructor | FunctionConstructor)[];
        xm_renderless: FunctionConstructor;
        xm_theme: StringConstructor;
        xm_chart_theme: ObjectConstructor;
    };
    setup(props: any, context: any): () => import("vue").VNode;
};
export default _default;
